# 1. 获取令牌
# cat|$1

if [ $# == 0 ];then
  NPM_TOKEN=`cat NPM_TOKEN`
else
  NPM_TOKEN=$1
fi


# 2. 登录 npm 服务器
# - npm adduser --registry=https://registry.npmjs.org/

npm adduser --registry=https://registry.npmjs.org/ <<!
blibee
$NPM_TOKEN
ye.rong@bianlifeng.com
!


# 3. 获取 npm 上 latest 版本号
# - npm info bee-ui|grep|awk

latestVersion=`npm info bee-ui|grep 'version:'`
latestVersion=`echo $latestVersion|awk '{print substr($0,11,length-12)}'`
echo latest: $latestVersion


# 4. 本地 package.json 版本号
# - cat package.json|grep|awk

version=`cat package.json|grep 'version'`
version=`echo $version|awk '{print substr($0,13,length-14)}'`
echo version: $version


# 5. 有更新则发布 latest
# - npm publish

if [ $version != $latestVersion ];then
  echo `npm publish`
fi


# 6. 更新时间戳发布 nightly
# - sed && npm publish --tag=nightly

timestamp=`date +%Y%m%d%H%M%S`
nightlyVersion=`echo $version-$timestamp`
echo nightly: $nightlyVersion

sed -i '' 's/"version": "'$version'"/"version": "'$nightlyVersion'"/g' package.json
echo `npm publish --tag=nightly`


# 7. 复原 package.json
sed -i '' 's/"version": "'$nightlyVersion'"/"version": "'$version'"/g' package.json
echo done
