import React, {
  PropTypes,
  ViewPropTypes,
  Component,
} from 'react';

import {
  View,
  Text,
  StyleSheet,
} from 'react-native';
import Flex from '../Flex';

const styles = StyleSheet.create({
  rectangularContainer: {
    flexDirection: 'row',
    justifyContent: 'space-around',
    borderBottomWidth: 1,
    borderColor: '#DCDEE5',
  },
});

class ShapContainer extends Component {
  static propTypes = {
    style: PropTypes.object,
    children: PropTypes.array,
  }
  static defaultProps = {
    style: {},
    children: [],
  }
  render() {
    const style = {
      borderColor: this.props.style.borderColor,
    };
    return (
      <View style={{ flex: 1, height: this.props.style.height - 10 }}>
        <View style={[styles.rectangularContainer, style]}>
          {this.props.children}
        </View>
      </View>
    );
  }
}

export default ShapContainer;
