## Header


### 基础版
```jsx
<Header onPressLeft={() => console.log('default, onPressLeft')} onPressRight={() => console.log('default, onPressRight')}>
  <Text>默认样式</Text>
</Header>
```


### 自定义文字
```jsx
<Header left={<CustomText onPress={() => console.log('custom, onPressLeft')}>返回</CustomText>}>
  <Text>自定义左侧文字</Text>
</Header>

function CustomText({
  onPress,
  children, style,
}) {
  return (
    <TouchableWithoutFeedback onPress={onPress}>
      <Text style={style}>{children}</Text>
    </TouchableWithoutFeedback>
  );
}
```


### 自定义视图
```jsx
<Header right={<CustomTools />}>
  <Text>自定义右侧视图</Text>
</Header>

function CustomTools() {
  return (
    <View style={{ flexDirection: 'row', alignItems: 'center' }}>
      <TouchableWithoutFeedback onPress={() => console.log('custom, onPressTool1')}>
        <Text>工具1</Text>
      </TouchableWithoutFeedback>
      <TouchableWithoutFeedback onPress={() => console.log('custom, onPressTool2')}>
        <Text>工具2</Text>
      </TouchableWithoutFeedback>
    </View>
  );
}
```


## 待实现

- [] 跟左右布局无关的居中标题
