## Select 选择器


### 基础版
```jsx
<Select value={basicValue} onChange={value => setBasicValue(value)}>
  <Text>选项一</Text>
  <Text>选项二</Text>
  <Text>选项三</Text>
  <Text>选项四</Text>
  <Text>选项五</Text>
</Select>
```


### 独立取值
```jsx
<Select value={basicValue} onChange={value => setBasicValue(value)}>
  <Text value="选项一">显示一</Text>
  <Text value="选项二">显示二</Text>
  <Text value="选项三">显示三</Text>
  <Text value="选项四">显示四</Text>
  <Text value="选项五">显示五</Text>
</Select>
```


### 多选
```jsx
<Select multiple value={multiValue} onChange={value => setMultiValue(value)}>
  <Text>选项一</Text>
  <Text>选项二</Text>
  <Text>选项三</Text>
  <Text>选项四</Text>
  <Text>选项五</Text>
</Select>
```


### 自定义
> `Option` 只需根据被传递的 `selected` 属性实现相应的样式
```jsx
<Select multiple value={customValue} onChange={value => setCustomValue(value)}>
  <Option value="选项一">自定义一</Option>
  <Option value="选项二">自定义二</Option>
  <Option value="选项三">自定义三</Option>
  <Option value="选项四">自定义四</Option>
  <Option value="选项五">自定义五</Option>
</Select>
```
