import React, {
  PropTypes,
  ViewPropTypes,
  Component,
} from 'react';

import {
  TouchableOpacity,
  TouchableNativeFeedback,
  View,
  Platform,
  StyleSheet,
} from 'react-native';

class Button extends Component {
  static propTypes = {
    children: PropTypes.element,
  }
  static defaultProps = {
    children: null,
  }
  renderBtn = () => {
    let btn;
    const props = this.props;
    const children = this.props.children;
    if (Platform.OS === 'ios') {
      btn = (
        <TouchableOpacity {...props}>
          {children}
        </TouchableOpacity>);
    } else {
      btn = (
        <TouchableNativeFeedback
          delayPressIn={0}
          background={TouchableNativeFeedback.SelectableBackground()}
          {...props}
        >
          {children}
        </TouchableNativeFeedback>);
    }
    return btn;
  }
  render() {
    return (
      this.renderBtn()
    );
  }
}

export default Button;
